Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1663483 - System with kernel 4.21.0-0.rc0.git1.1.fc30.x86_64 hang immediately after start (invalid opcode: 0000 [#1] SMP NOPTI)
Summary: System with kernel 4.21.0-0.rc0.git1.1.fc30.x86_64 hang immediately after st...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30BetaBlocker F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-01-04 13:43 UTC by Mikhail
Modified: 2019-01-23 08:03 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 08:03:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
all dmesg logs (deleted)
2019-01-04 13:43 UTC, Mikhail
no flags Details

Description Mikhail 2019-01-04 13:43:21 UTC
Created attachment 1518392 [details]
all dmesg logs

Description of problem:
System with kernel 4.21.0-0.rc0.git1.1.fc30.x86_64  hang immediately after start


[   41.841318] ------------[ cut here ]------------
[   41.841320] kernel BUG at lib/list_debug.c:53!
[   41.841324] invalid opcode: 0000 [#1] SMP NOPTI
[   41.841328] CPU: 12 PID: 2149 Comm: gnome-shell Tainted: G         C        4.20.0-rc3-bisect-674e78acae0dfb4beb56132e41cbae5b60f7d662+ #14
[   41.841330] Hardware name: System manufacturer System Product Name/ROG STRIX X470-I GAMING, BIOS 1103 11/16/2018
[   41.841335] RIP: 0010:__list_del_entry_valid.cold.1+0x34/0x47
[   41.841337] Code: 1d 11 be e8 39 cf c8 ff 0f 0b 48 c7 c7 f0 1d 11 be e8 2b cf c8 ff 0f 0b 48 89 f2 48 89 fe 48 c7 c7 b0 1d 11 be e8 17 cf c8 ff <0f> 0b 48 89 fe 48 c7 c7 78 1d 11 be e8 06 cf c8 ff 0f 0b 48 89 d1
[   41.841339] RSP: 0018:ffffad8a43b67aa8 EFLAGS: 00010246
[   41.841342] RAX: 0000000000000054 RBX: ffff8f992aea0850 RCX: 0000000000000000
[   41.841343] RDX: 0000000000000000 RSI: ffff8f993eb168c8 RDI: ffff8f993eb168c8
[   41.841345] RBP: ffff8f992aea08f8 R08: 0000000000000005 R09: 0000000000000007
[   41.841346] R10: 0000000000000000 R11: ffffffffbe97b18d R12: ffff8f992aea0800
[   41.841348] R13: ffff8f9927b0cfc0 R14: ffff8f992aea0850 R15: 0000000000000000
[   41.841350] FS:  00007f2760663d00(0000) GS:ffff8f993eb00000(0000) knlGS:0000000000000000
[   41.841351] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   41.841353] CR2: 00007f26f45f7000 CR3: 00000007daafa000 CR4: 00000000003406e0
[   41.841354] Call Trace:
[   41.841363]  ttm_bo_del_from_lru+0x73/0xb0 [ttm]
[   41.841369]  ttm_bo_del_sub_from_lru+0x22/0x30 [ttm]
[   41.841444]  dm_plane_helper_prepare_fb+0x8e/0x2f0 [amdgpu]
[   41.841454]  drm_atomic_helper_prepare_planes+0x4f/0xd0 [drm_kms_helper]
[   41.841462]  drm_atomic_helper_commit+0x1c/0x110 [drm_kms_helper]
[   41.841470]  drm_atomic_helper_update_plane+0xf0/0x110 [drm_kms_helper]
[   41.841486]  drm_mode_cursor_universal+0x128/0x240 [drm]
[   41.841501]  drm_mode_cursor_common+0x190/0x200 [drm]
[   41.841516]  ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[   41.841528]  drm_ioctl_kernel+0xa9/0xf0 [drm]
[   41.841542]  drm_ioctl+0x1f6/0x370 [drm]
[   41.841556]  ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[   41.841560]  ? __handle_mm_fault+0xfc1/0x1590
[   41.841612]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[   41.841617]  do_vfs_ioctl+0xa4/0x630
[   41.841620]  ksys_ioctl+0x60/0x90
[   41.841623]  __x64_sys_ioctl+0x16/0x20
[   41.841626]  do_syscall_64+0x5b/0x160
[   41.841630]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   41.841633] RIP: 0033:0x7f27641bd2fb
[   41.841635] Code: 0f 1e fa 48 8b 05 8d 9b 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d 9b 0c 00 f7 d8 64 89 01 48
[   41.841637] RSP: 002b:00007ffc4eeac468 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[   41.841639] RAX: ffffffffffffffda RBX: 000055624f2e6520 RCX: 00007f27641bd2fb
[   41.841640] RDX: 00007ffc4eeac4a0 RSI: 00000000c02464bb RDI: 000000000000000a
[   41.841642] RBP: 00007ffc4eeac4a0 R08: 0000000000000080 R09: 0000000000000006
[   41.841643] R10: 0000000000000001 R11: 0000000000000246 R12: 00000000c02464bb
[   41.841644] R13: 000000000000000a R14: 000055624f2b65c0 R15: 000000000000000a
[   41.841646] Modules linked in: nls_utf8 isofs fuse rfcomm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc xfs vfat fat libcrc32c arc4 edac_mce_amd r8822be(C) kvm_amd kvm irqbypass mac80211 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_usb_audio snd_hda_intel btusb btrtl snd_hda_codec btbcm btintel snd_hda_core bluetooth snd_usbmidi_lib cfg80211 snd_rawmidi snd_hwdep snd_seq crct10dif_pclmul snd_seq_device snd_pcm crc32_pclmul ghash_clmulni_intel eeepc_wmi asus_wmi sparse_keymap snd_timer joydev video snd wmi_bmof k10temp sp5100_tco pcspkr i2c_piix4 ecdh_generic ccp soundcore
[   41.841677]  rfkill gpio_amdpt gpio_generic pcc_cpufreq acpi_cpufreq binfmt_misc uas usb_storage amdgpu chash amd_iommu_v2 hid_logitech_hidpp gpu_sched ttm drm_kms_helper drm igb hid_logitech_dj dca crc32c_intel nvme i2c_algo_bit nvme_core wmi pinctrl_amd hid_sony ff_memless
[   41.841690] ---[ end trace 1a4efe8e8abb5ae5 ]---



$ git bisect log
git bisect start
# good: [8fe28cb58bcb235034b64cbbb7550a8a43fd88be] Linux 4.20
git bisect good 8fe28cb58bcb235034b64cbbb7550a8a43fd88be
# bad: [a5f2bd479f58f171a16a9a4f3b4e748ab3057c0f] Merge branch 'parisc-4.21-1' of git://git.kernel.org/pub/scm/linux/kernel/git/deller/parisc-linux
git bisect bad a5f2bd479f58f171a16a9a4f3b4e748ab3057c0f
# bad: [eaa76499711535fd64d747cc4ef0d78ab0fd41c6] Merge tag 'mtd/for-4.21' of git://git.infradead.org/linux-mtd
git bisect bad eaa76499711535fd64d747cc4ef0d78ab0fd41c6
# bad: [eaa76499711535fd64d747cc4ef0d78ab0fd41c6] Merge tag 'mtd/for-4.21' of git://git.infradead.org/linux-mtd
git bisect bad eaa76499711535fd64d747cc4ef0d78ab0fd41c6
# good: [0e39037b3165567660b0e03f67534da5269a0465] drm/i915: Cache the error string
git bisect good 0e39037b3165567660b0e03f67534da5269a0465
# good: [0e39037b3165567660b0e03f67534da5269a0465] drm/i915: Cache the error string
git bisect good 0e39037b3165567660b0e03f67534da5269a0465
# good: [86b442d74c333936a3085354d8c8d73ab21863ad] drm/nouveau/fifo/gk104-: return channel instance in ctor args
git bisect good 86b442d74c333936a3085354d8c8d73ab21863ad
# bad: [d675ba4b9e6ccd782e4db9109cbab708a85b8ff8] Merge tag 'drm-msm-next-2018-12-12' of git://people.freedesktop.org/~robclark/linux into drm-next
git bisect bad d675ba4b9e6ccd782e4db9109cbab708a85b8ff8
# bad: [02c4fb0210dc2773e0d7f0a5a1b866986f8edc40] Merge branch 'linux-4.21' of git://github.com/skeggsb/linux into drm-next
git bisect bad 02c4fb0210dc2773e0d7f0a5a1b866986f8edc40
# bad: [e7df065a697783ecb5c6eaa5692d78dcfceb71dd] Merge branch 'drm-next-4.21' of git://people.freedesktop.org/~agd5f/linux into drm-next
git bisect bad e7df065a697783ecb5c6eaa5692d78dcfceb71dd
# bad: [e7df065a697783ecb5c6eaa5692d78dcfceb71dd] Merge branch 'drm-next-4.21' of git://people.freedesktop.org/~agd5f/linux into drm-next
git bisect bad e7df065a697783ecb5c6eaa5692d78dcfceb71dd
# good: [e69aa5f9b97f7f871643336deb281db5cb14878b] Merge tag 'drm-misc-next-2018-12-06' of git://anongit.freedesktop.org/drm/drm-misc into drm-next
git bisect good e69aa5f9b97f7f871643336deb281db5cb14878b
# good: [e69aa5f9b97f7f871643336deb281db5cb14878b] Merge tag 'drm-misc-next-2018-12-06' of git://anongit.freedesktop.org/drm/drm-misc into drm-next
git bisect good e69aa5f9b97f7f871643336deb281db5cb14878b
# good: [1db8c142b6c557a951e8f9866b98953fe91cbdd6] drm/scheduler: Add drm_sched_suspend/resume_timeout()
git bisect good 1db8c142b6c557a951e8f9866b98953fe91cbdd6
# good: [3704d56e1a64bb0e951815f91149ae7bb726aa76] drm/amdkfd: Add NULL-pointer check
git bisect good 3704d56e1a64bb0e951815f91149ae7bb726aa76
# good: [2e431a1788c52d510bb24229cef93ba935f5785b] drm/amdgpu: remove set but not used variable 'grbm_soft_reset'
git bisect good 2e431a1788c52d510bb24229cef93ba935f5785b
# good: [65276f2bebea047338196a584291c6c8ccd7ea13] drm/amd/display: Fix unintialized max_bpc state values
git bisect good 65276f2bebea047338196a584291c6c8ccd7ea13
# good: [fc42d47ce0118e2f59a67ac0b0da56f9dc454bd9] drm/amdgpu: Enable GPU recovery by default for CI
git bisect good fc42d47ce0118e2f59a67ac0b0da56f9dc454bd9
# bad: [674e78acae0dfb4beb56132e41cbae5b60f7d662] drm/amd/display: Add fast path for cursor plane updates
git bisect bad 674e78acae0dfb4beb56132e41cbae5b60f7d662
# first bad commit: [674e78acae0dfb4beb56132e41cbae5b60f7d662] drm/amd/display: Add fast path for cursor plane updates

Comment 1 Fedora Blocker Bugs Application 2019-01-04 13:45:13 UTC
Proposed as a Blocker and Freeze Exception for 30-beta by Fedora user mikhail using the blocker tracking app because:

 System unusable at least on AMD hardware

Comment 2 Yanko Kaneti 2019-01-04 13:51:26 UTC
There is a fix upstream that hasn't yet reached the Linus tree.
See https://bugs.freedesktop.org/show_bug.cgi?id=109161


Note You need to log in before you can comment on or make changes to this bug.